# $Revision: 1.13 $, $Date: 2006/12/04 21:15:51 $
%define		snap	20061024
%define		snaph	2245
%define		_rel	2
Summary:	H264 encoder library
Summary(pl):	Biblioteka kodujca H264
Name:		libx264
Version:	0.1.2
Release:	1.%{snap}_%{snaph}.%{_rel}
License:	GPL v2
Group:		Libraries
# unofficial, debianized/libtoolized packaging:
#Source0:	http://www.acarlab.com/misc-dnlds/%{name}-%{version}.tar.gz
# but it's too old, so use snapshots...
Source0:	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{snap}-%{snaph}.tar.bz2
# Source0-md5:	529d619bd7ba8185143ba35b05fa69d0
Patch0:		%{name}-alpha.patch
URL:		http://developers.videolan.org/x264.html
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	sed >= 4.0
%ifarch %{x8664}
BuildRequires:	yasm
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# encoder/macroblock.c breaks strict-aliasing rules
%define		specflags	-fno-strict-aliasing

%description
libx264 library for encoding H264 video format.

%description -l pl
Biblioteka libx264 do kodowania w formacie obrazu H264.

%package devel
Summary:	Header files for x264 library
Summary(pl):	Pliki nagwkowe biblioteki x264
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for x264 library.

%description devel -l pl
Pliki nagwkowe biblioteki x264.

%package static
Summary:	Static x264 library
Summary(pl):	Statyczna biblioteka x264
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static x264 library.

%description static -l pl
Statyczna biblioteka x264.

%prep
%setup -q -n x264-snapshot-%{snap}-%{snaph}
sed -i 's:-O4::g' configure
%patch0 -p1

%build
CC="%{__cc}" \
./configure \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--extra-cflags="%{rpmcflags}" \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/x264
%attr(755,root,root) %{_libdir}/libx264.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libx264.so
%{_includedir}/x264.h
%{_pkgconfigdir}/x264.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libx264.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libx264.spec,v $
Revision 1.13  2006/12/04 21:15:51  glen
- rel 2

Revision 1.12  2006/12/04 21:06:19  glen
- recognize alpha

Revision 1.11  2006/10/25 22:40:21  charles
- update to 20061024 snap (X264_BUILD 54)

Revision 1.10  2006/09/04 12:44:38  qboosh
- merged update to 20060828 snap (from x264.spec), removed obsolete liblink patch

Revision 1.9  2006/05/19 08:18:54  qboosh
- dropped acam patch, pass CC

Revision 1.8  2006/05/01 15:10:57  pluto
- tabs.

Revision 1.7  2006/05/01 14:54:32  pluto
- builds on x86-64.

Revision 1.6  2006/05/01 10:25:35  aflinta
- fixed release for easier upgrade

Revision 1.5  2006/05/01 10:14:19  aflinta
- new snap, missing acam patch

Revision 1.4  2005/10/31 09:05:30  qboosh
- merged from DEVEL

Revision 1.3.2.2  2005/10/30 21:36:21  qboosh
- hacked acam patch to disable asm on x86_64 (not ready for shared lib)

Revision 1.3.2.1  2005/10/24 05:52:48  qboosh
- updated to 20051022-2245 snap
- nasm,link patches replaced by acam patch (ac/am/lt support based on
  debianization by Arvind R.)

Revision 1.3  2005/10/13 14:19:34  pluto
- TODO.

Revision 1.2  2005/10/13 13:46:52  pluto
- nasm required for x86 build.

Revision 1.1  2005/10/11 21:10:37  qboosh
- new
